org.wso2.carbon.device.mgt.mobile.windows.api.operations

## Class StatusTag

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.operations.StatusTag

-     public class StatusTag
      extends Object

  Status of a previously sent message to device;

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatusTag()`
    `StatusTag(int commandId, int messageReference, int commandReference, String command, String targetReference, String data)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildStatusElement(Document doc, Element rootElement)`
    `ChallengeTag` | `getChallenge()`
    `String` | `getCommand()`
    `int` | `getCommandId()`
    `int` | `getCommandReference()`
    `String` | `getData()`
    `int` | `getMessageReference()`
    `String` | `getTargetReference()`
    `void` | `setChallenge(ChallengeTag challenge)`
    `void` | `setCommand(String command)`
    `void` | `setCommandId(int commandId)`
    `void` | `setCommandReference(int commandReference)`
    `void` | `setData(String data)`
    `void` | `setMessageReference(int messageReference)`
    `void` | `setTargetReference(String targetReference)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatusTag

          public StatusTag(int commandId,
                   int messageReference,
                   int commandReference,
                   String command,
                   String targetReference,
                   String data)

    - #### StatusTag

          public StatusTag()

  - ### Method Detail

    - #### getChallenge

          public ChallengeTag getChallenge()

    - #### setChallenge

          public void setChallenge(ChallengeTag challenge)

    - #### getTargetReference

          public String getTargetReference()

    - #### setTargetReference

          public void setTargetReference(String targetReference)

    - #### getCommandId

          public int getCommandId()

    - #### setCommandId

          public void setCommandId(int commandId)

    - #### getMessageReference

          public int getMessageReference()

    - #### setMessageReference

          public void setMessageReference(int messageReference)

    - #### getCommandReference

          public int getCommandReference()

    - #### setCommandReference

          public void setCommandReference(int commandReference)

    - #### getCommand

          public String getCommand()

    - #### setCommand

          public void setCommand(String command)

    - #### getData

          public String getData()

    - #### setData

          public void setData(String data)

    - #### buildStatusElement

          public void buildStatusElement(Document doc,
                                Element rootElement)

Copyright © 2017 WSO2. All rights reserved.